### Function

# ECal ComponentPropertyBag new

since: 3.34

#### Declaration [src]

    ECalComponentPropertyBag*
    e_cal_component_property_bag_new (
      void
    )

#### Description [src]

Creates a new `ECalComponentPropertyBag`. Free the structure with e_cal_component_property_bag_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentPropertyBag`

A newly allocated `ECalComponentPropertyBag`.

The caller of the function takes ownership of the data, and is responsible for freeing it.